package com.uas.account.entity;

import java.io.Serializable;

/**
 * 通过当前分页的企业营业执照和当前登录企业的营业执照号查询申请状态
 * 
 * @author hejq
 * @time 创建时间：2017年2月20日
 */
public class RequsetStatus implements Serializable {

	/**
	 * 序号
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 客户uid
	 */
	private String custUid;

	/**
	 * 供应商uid
	 */
	private String vendUid;

	/**
	 * 申请状态
	 */
	private Integer StatusCode;

	/**
	 * 方式（主动还是被动）<br>
	 * 1: 主动发出 <br>
	 * 0： 对方发出
	 */
	private Integer method;

	/**
	 * 是否需要操作（即他人发出请求且为待回复）<br>
	 * 1: 需要 <br>
	 * 0： 不需要
	 */
	private Integer needAgreed;

	public String getCustUid() {
		return custUid;
	}

	public void setCustUid(String custUid) {
		this.custUid = custUid;
	}

	public String getVendUid() {
		return vendUid;
	}

	public void setVendUid(String vendUid) {
		this.vendUid = vendUid;
	}

	public Integer getStatusCode() {
		return StatusCode;
	}

	public void setStatusCode(Integer statusCode) {
		StatusCode = statusCode;
	}

	public Integer getMethod() {
		return method;
	}

	public void setMethod(Integer method) {
		this.method = method;
	}

	public Integer getNeedAgreed() {
		return needAgreed;
	}

	public void setNeedAgreed(Integer needAgreed) {
		this.needAgreed = needAgreed;
	}
}
